OSSIM-SLOPE(1)

NAME
ossim-slope - ossim-slope

SYNOPSIS
ossim-slope [options] <output-image>

OPTIONS

--center <lat> <lon>
    The center position of the output product. Required if no input DEM is specified.

--dem <filename>
    Specifies the input DEM filename. If none provided, the elevation database is referenced as specified in prefs file for the center and ROI specified.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--lut <filename>
    Specifies the optional lookup table filename for mapping the single-band output image to an RGB. The LUT provided must be in the ossimIndexToRgbLutFilter format and should accommodate the output pixel range. This option forces remap to 8-bit, 0-255 where 255 = 90 deg slope

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--remap
    The range of slope angle (0.0 to 90.0) is remapped to 0-255 (one byte/pixel)

--request-api
    Causes applications API to be output as JSON to stdout. Accepts optional filename to store JSON output.

--roi <meters>
    radius of interest surrounding the center point. If absent, the product defaults to 1024 x 1024 pixels, with a radius of 512 * GSD. Alternatively, if a DEM file is specified, the product ROI defaults to the full DEM coverage.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.*

will trace ossimInit and all ossimImage classes-

Utility for computing the slope at each elevation post and generating a corresponding slope image. The output scalar type is a normalized float with 1.0 = 90 degree angle from the local vertical. Optional 8-bit scalar type is available.Examples:

    ossim-slope [options] --dem <input-dem> <output-slope-image-file> ossim-slope [options] --center <lat> <lon> --roi <meters> <output-slope-image-file>

SEE ALSO
The full documentation for ossim-slope is maintained as a Texinfo manual. If the info and ossim-slope programs are properly installed at your site, the command

    info ossim-slope

should give you access to the complete manual.